'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.writeSystemErr = exports.writeSystemOut = undefined;

var _writeXml = require('./write-xml');

const writeStream = (writable, s, value) => {
  if (value != null && value.length) {
    (0, _writeXml.openTag)(writable, s);
    (0, _writeXml.text)(writable, value);
    (0, _writeXml.closeTag)(writable, s);
  }
};

const writeSystemOut = exports.writeSystemOut = (writable, value) => {
  writeStream(writable, 'system-out', value);
};

const writeSystemErr = exports.writeSystemErr = (writable, value) => {
  writeStream(writable, 'system-err', value);
};